The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Quarantined Hosts

Prev Next

This URL provides the list of Quarantined Hosts on the specific Sensor.

Resource URL

GET /sensor/<sensor_id>/action/quarantinehost

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor Id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
QuarantineHostDescriptor List of quarantined hosts Array

Details of object in QuarantineHostDescriptor:

Field Name Description Data Type
IPAddress IPv4/IPv6 to be quarantined String
Duration End time (in NSM Server Timezone) when the IP will be released from quarantine String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/action/quarantinehost

Response

{
   "QuarantineHostDescriptor":
   [
       {
           "IPAddress": "102.102.102.122",
           "Duration": 1350630974000
       },
       {
           "IPAddress": "2607:f0d0:1002:0051:0000:0000:0000:0604",
           "Duration": 1350631900000
       }
   ]
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1124 The Sensor is Inactive